/// <reference types="node" resolution-mode="require"/>
import type { DeepRequired } from 'ts-essentials';
import type { Config, Transform } from './types.js';
import type { ResolvedConfig } from 'vite';
export { pathInfo, log, globFromPrefix, getCustomTransform, getFilePaths, prepareConfig, noopTransform, };
declare const noopTransform: (content: string) => Promise<string>;
declare const log: {
    info: (message: string) => string;
    warn: (message: string) => string;
    error: (message: string) => string;
};
declare const pathInfo: (path: string) => Promise<{
    exists: boolean;
    dir: boolean;
} | {
    exists: boolean;
    dir: boolean;
}>;
declare const globFromPrefix: (prefix: string, extensions: Array<string>) => string;
declare const getCustomTransform: (filePath: string, exportName: string) => Promise<string | Transform | null>;
declare const getFilePaths: (config: DeepRequired<Config>, vite_config: ResolvedConfig) => Promise<{
    input: string;
    output: string;
}[]>;
declare const prepareConfig: (config?: Config) => {
    directory: string;
    extensions: string[];
    server: {
        cache: boolean;
        responseHeaders: {
            [x: string]: import("http").OutgoingHttpHeader | undefined;
        };
    };
    build: {
        glob: string | string[];
        outDir: string;
        outFormat: string | ((file: string) => string);
    };
    transform: {
        defaultTransformer: Transform;
        exportName: string;
    };
};
